> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user information

> Update user information including display name and email preferences



## OpenAPI

````yaml patch /user
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /user:
    patch:
      tags:
        - User Management
      summary: Update user information
      description: Update user information including display name and email preferences
      operationId: src.handlersv2.user.update_user_info
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/User'
      responses:
        '200':
          $ref: '#/components/responses/OKEmptyObject'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/write
components:
  schemas:
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: >-
            URL of the user image. If updating the image, could be a base64
            encoded image.
          maxLength: 524288
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
        tier:
          $ref: '#/components/schemas/Tier'
      required:
        - id
    Tier:
      description: The tier of the user
      type: string
      enum:
        - EDUCATION
        - INDIE
        - PROFESSIONAL
        - ENTERPRISE
        - UNKNOWN
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  responses:
    OKEmptyObject:
      description: Request completed successfully
      content:
        application/json:
          schema:
            type: object
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````